### Function

# ECal time_add_month_with_zone

#### Declaration [src]

    time_t
    time_add_month_with_zone (
      time_t time,
      gint months,
      const ICalTimezone* zone
    )

#### Description [src]

Adds or subtracts a number of months to/from the given time_t value, using the given timezone.

If the day would be off the end of the month (e.g. adding 1 month to 30th January, would lead to an invalid day, 30th February), it moves it down to the last day in the month, e.g. 28th Feb (or 29th in a leap year.)

NOTE: this function is only here to make the transition to the timezone functions easier. New code should use ICalTime values and `i_cal_time_adjust()` to add or subtract days, hours, minutes & seconds.

#### Parameters

`time`

  Type: `time_t`

  A time_t value.

`months`

  Type: `gint`

  Number of months to add.

`zone`

  Type: `None`

  Timezone to use.

  The data is owned by the caller of the function.

#### Return value

Type: `time_t`

A time_t value containing `time` plus the months added.